package org.richfaces.realworld.service;


import java.util.List;

import javax.ejb.Local;

import org.richfaces.realworld.domain.Image;
import org.richfaces.realworld.domain.Shelf;
import org.richfaces.realworld.domain.User;

@Local
public interface IShelfAction {

	public abstract void addShelf(Shelf shelf);
	
	public void deleteShelf(Shelf shelf);
	
	public void editShelf(Shelf shelf);
	
	public List<Shelf> getShelfs(User user);

	public List<Image> getUnvisitedImages(Shelf shelf);
}
